JTS Topology Suite version 1.13

## com.vividsolutions.jts.algorithm
Class InteriorPointLine

    java.lang.Object
      com.vividsolutions.jts.algorithm.InteriorPointLine

    public class InteriorPointLine

extends java.lang.Object

Computes a point in the interior of an linear geometry.

## Algorithm

- Find an interior vertex which is closest to the centroid of the linestring.
- If there is no interior vertex, find the endpoint which is closest to the centroid.

Version:
  1.7

Constructor Summary
`InteriorPointLine(Geometry g)`

Method Summary
`Coordinate` `getInteriorPoint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteriorPointLine

    public InteriorPointLine(Geometry g)

Method Detail

### getInteriorPoint

    public Coordinate getInteriorPoint()

JTS Topology Suite version 1.13